NetCommons
 
究極の情報基盤システム詳細を見る
 

このページは、Netcommons1.xに関する更新履歴を抜粋して掲載しています。
 
 

2007/02/01

バージョン1.0から1.1へのアップグレード

| by matsumoto
バージョン1.0から1.1へのアップグレードの前準備

1.現在運用しているNetCommonsのバージョンを確認
  [システム管理モジュール]→[一般設定]→[一般項目]→[バージョン]にて確認可能です。
  表示されているバージョンが1.0.10以上で無い場合は、1.0.10にアップグレードしてから1.1.1へのアップグレード作業を行ってください。
  (既にバージョンが1.0.10以上の場合は、以下で示す「1.0.10」を「1.1.11」等のアップグレードする環境に読み替えてください)

2.NetCommons1.0.10の環境を退避(コピー)
  Ex.)
  NetCommons1.0.10インストールディレクトリが/var/www/html/NetCommons、
  作業用ディレクトリが/tmpとします。
  (ディレクトリ名称はそれぞれの環境に合わせてください。)
  # cp -rp /var/www/html/NetCommons /tmp

3.NetCommons1.0.10の削除
  NetCommons1.1.xでは、モジュールのフォルダ構成を変更しております。
  そのため、1.0.10のファイルを一度削除します。
  Ex.)
  # rm -rf /var/www/html/NetCommons/*

4.NetCommons1.1.xのアップロード
  公式サイトからNetCommons-1.1.x.tar.gz(NetCommons-1.1.x.zip)をダウンロードし展開します。
  展開して作成されたディレクトリにあるhtmlディレクトリ内の全てをNetCommonsインストールディレクトリにコピーします。
  Ex.)
  # tar xzvf NetCommons-1.1.x.tar.gz
  # cp -rp ./NetCommons-1.1.x/html/* /var/www/html/NetCommons/

5.uploadsディレクトリを戻す
  NetCommons1.0.10で使用していたuploadsディレクトリは1.1.1でも引き続き使用しますので、
  2.の作業で退避してある1.0.10から、uploadsディレクトリを戻します。
  Ex.)
  # rm -rf /var/www/html/NetCommons/uploads
  # cp -rp /tmp/NetCommons/uploads /var/www/html/NetCommons/

6.ブラウザからNetCommonsへアクセスし、画面上からアップグレード(インストール)作業を行ってください。

注1)上記説明にあるEx.)はLinuxOS(FedoraCore4)を元に記述してあります。お使いの環境に合わせてコマンド等を読み替えて下さい。
   また、コマンドが使用できない環境の場合もFTP等を利用して、同様の作業を行ってください。

注2)正常にアップグレードできた場合は、作業ファイルを削除します。
  できなかった場合、退避した1.0.10のファイルを戻せば元に戻ります。
  Ex.)
  作業ファイルの削除
  # rm -rf /tmp/NetCommons NetCommons-1.1.x.tar.gz NetCommons1.1.1

  1.0.10へ戻す
  # rm -rf /var/www/html/NetCommons/*
  # cp -rp /tmp/NetCommons/* /var/www/html/NetCommons/

注3)NetCommons1.1では、言語選択処理を別モジュールにしました。(1.0.10ではメニューモジュール内にありました。)
  言語選択したい場合は、レイアウトモードをONにし言語選択モジュールを配置してください。
  モジュールの配置方法については、マニュアルを参照

注4)1.1へのアップグレードでは、テーマファイルも全て差し替えます。
  そのため、ロゴ、バナーを変更していた場合は、NetCommonsに戻ってしまいます。
  再度、[管理室]→[テーマ・マネージャー]→[ロゴ変更]より、差し替え作業を行ってください。

14:41 | NC1.xバージョンアップ
NetCommons1.x のバージョンを確認する方法

インストール先ディレクトリ/include/version.php」に記述されているバージョンが
お使いになっているNetCommonsのバージョンです。

(注意)
2005/10/17以前にNetCommons1.0.0~1.0.2をNetCommons1.0.3にアップグレードした場合、
「インストール先ディレクトリ/include/version.php」のバージョンはNetCommons1.0.2となっています。

この場合、「インストール先ディレクトリ/include/common.php」の2行目に記述されている更新日付を確認してください。
「2005/08/06 04:56:06」になっている場合、NetCommonsのバージョンは1.0.3です。